Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236611 - Kernel 2.6.20-1.2944.fc6 - ntp now correcting time by +1s approx every 15 mins
Summary: Kernel 2.6.20-1.2944.fc6 - ntp now correcting time by +1s approx every 15 mins
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-04-16 19:08 UTC by Brian Morrison
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-09 00:02:50 UTC


Attachments (Terms of Use)
dmesg for 2.6.20-1.2944.fc6 - this being the broken kernel (deleted)
2007-04-17 07:08 UTC, Brian Morrison
no flags Details
dmesg for working kernel 2.6.20-1.2933.fc6 (deleted)
2007-04-17 07:23 UTC, Brian Morrison
no flags Details

Description Brian Morrison 2007-04-16 19:08:56 UTC
Description of problem:

Since using the 2944 kernel, ntp is now reporting a time reset of +1.05 seconds
approximately every 15 minutes.

Version-Release number of selected component (if applicable):


How reproducible:

Happens constantly with kernel 2.6.20-1.2944.fc6 when using ntp-4.2.4p0-1.fc6

Steps to Reproduce:
1. Boot with kernel shown above
2. Look in /var/log/messages for ntp output
3. Find "time reset" messages from ntpd
  
Actual results:

time reset +1.0xxxxs from ntpd in /var/log/messages

Expected results:

These messages did not exist with any previous FC6 kernel test, so 2798, 2925,
2933 etc

Additional info:

Comment 1 Chuck Ebbert 2007-04-16 22:45:15 UTC
Please post contents of the file /var/log/dmesg after booting
both the working and non-working kernels.


Comment 2 Brian Morrison 2007-04-17 07:08:44 UTC
Created attachment 152772 [details]
dmesg for 2.6.20-1.2944.fc6 - this being the broken kernel

Comment 3 Brian Morrison 2007-04-17 07:23:48 UTC
Created attachment 152773 [details]
dmesg for working kernel 2.6.20-1.2933.fc6

Comment 4 Chuck Ebbert 2007-04-17 23:12:07 UTC
Please try the kernel parameter "clocksource=acpi_pm" or
"clocksource=pit"



Comment 5 Brian Morrison 2007-04-18 07:55:31 UTC
clocksource=acpi_pm has removed the time reset messages.

Would a test with clocksource=pit be useful? If so I'll do it later today and
add the result here.

BTW, I can't find a succinct explanation of how these different clock sources
differ. Is there anything that describes it, or is is a "read the source" job?


Comment 6 Chuck Ebbert 2007-04-18 23:51:28 UTC
Unfortunately the clocksource parameter isn't very well documented.

After booting you can look in
/sys/devices/system/clocksource/clocksourceN/available_clocksource


Comment 7 Jon Stanley 2008-01-08 01:47:09 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 8 Brian Morrison 2008-01-08 07:44:03 UTC
No longer seeing this problem, currently using Fedora 7 with latest kernel
2.6.23.12-52.fc7, I do not have any Fedora 8 systems at present.

Note that I no longer have the hardware that triggered this bug (failed
motherboard that is no longer bootable).


Note You need to log in before you can comment on or make changes to this bug.